<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Fields;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 */

class AtlasCampaignFields extends AbstractEnum {

  const AD_PLATFORM = 'ad_platform';
  const ALIAS = 'alias';
  const COST_PER_1K_IMPRESSIONS = 'cost_per_1k_impressions';
  const COST_PER_CLICK = 'cost_per_click';
  const COST_PER_VISIT = 'cost_per_visit';
  const CREATED_BY = 'created_by';
  const CREATED_DATE = 'created_date';
  const EVEN_CREDIT_CONVS = 'even_credit_convs';
  const EVEN_CREDIT_CONVS_PER_1K_IMPRESS = 'even_credit_convs_per_1k_impress';
  const EVEN_CREDIT_CONVS_PER_CLICK = 'even_credit_convs_per_click';
  const EVEN_CREDIT_CONVS_PER_VISIT = 'even_credit_convs_per_visit';
  const EVEN_CREDIT_CPA = 'even_credit_cpa';
  const EVEN_CREDIT_REVENUE = 'even_credit_revenue';
  const EVEN_CREDIT_ROAS = 'even_credit_roas';
  const FIRST_CLICK_CONVS = 'first_click_convs';
  const FIRST_CLICK_CONVS_PER_1K_IMPRESS = 'first_click_convs_per_1k_impress';
  const FIRST_CLICK_CONVS_PER_CLICK = 'first_click_convs_per_click';
  const FIRST_CLICK_CONVS_PER_VISIT = 'first_click_convs_per_visit';
  const FIRST_CLICK_CPA = 'first_click_cpa';
  const FIRST_CLICK_REVENUE = 'first_click_revenue';
  const FIRST_CLICK_ROAS = 'first_click_roas';
  const FIRST_TOUCH_CONVS = 'first_touch_convs';
  const FIRST_TOUCH_CONVS_PER_1K_IMPRESS = 'first_touch_convs_per_1k_impress';
  const FIRST_TOUCH_CONVS_PER_CLICK = 'first_touch_convs_per_click';
  const FIRST_TOUCH_CONVS_PER_VISIT = 'first_touch_convs_per_visit';
  const FIRST_TOUCH_CPA = 'first_touch_cpa';
  const FIRST_TOUCH_REVENUE = 'first_touch_revenue';
  const FIRST_TOUCH_ROAS = 'first_touch_roas';
  const ID = 'id';
  const IS_ARCHIVED = 'is_archived';
  const LAST_CLICK_CONVS = 'last_click_convs';
  const LAST_CLICK_CONVS_PER_1K_IMPRESS = 'last_click_convs_per_1k_impress';
  const LAST_CLICK_CONVS_PER_CLICK = 'last_click_convs_per_click';
  const LAST_CLICK_CONVS_PER_VISIT = 'last_click_convs_per_visit';
  const LAST_CLICK_CPA = 'last_click_cpa';
  const LAST_CLICK_REVENUE = 'last_click_revenue';
  const LAST_CLICK_ROAS = 'last_click_roas';
  const LAST_CLICK_WITH_EXTRAPOLATION_CONVS = 'last_click_with_extrapolation_convs';
  const LAST_CLICK_WITH_EXTRAPOLATION_CONVS_PER_100_CLICKS = 'last_click_with_extrapolation_convs_per_100_clicks';
  const LAST_CLICK_WITH_EXTRAPOLATION_CONVS_PER_1K_IMPRESS = 'last_click_with_extrapolation_convs_per_1k_impress';
  const LAST_CLICK_WITH_EXTRAPOLATION_CONVS_PER_CLICK = 'last_click_with_extrapolation_convs_per_click';
  const LAST_CLICK_WITH_EXTRAPOLATION_CONVS_PER_VISIT = 'last_click_with_extrapolation_convs_per_visit';
  const LAST_CLICK_WITH_EXTRAPOLATION_CPA = 'last_click_with_extrapolation_cpa';
  const LAST_CLICK_WITH_EXTRAPOLATION_REVENUE = 'last_click_with_extrapolation_revenue';
  const LAST_CLICK_WITH_EXTRAPOLATION_ROAS = 'last_click_with_extrapolation_roas';
  const LAST_CLICK_WITH_EXTRAPOLATION_UNATTRIBUTED = 'last_click_with_extrapolation_unattributed';
  const LAST_MODIFIED_BY = 'last_modified_by';
  const LAST_MODIFIED_DATE = 'last_modified_date';
  const LAST_TOUCH_CONVS = 'last_touch_convs';
  const LAST_TOUCH_CONVS_PER_1K_IMPRESS = 'last_touch_convs_per_1k_impress';
  const LAST_TOUCH_CONVS_PER_CLICK = 'last_touch_convs_per_click';
  const LAST_TOUCH_CONVS_PER_VISIT = 'last_touch_convs_per_visit';
  const LAST_TOUCH_CPA = 'last_touch_cpa';
  const LAST_TOUCH_REVENUE = 'last_touch_revenue';
  const LAST_TOUCH_ROAS = 'last_touch_roas';
  const NAME = 'name';
  const NET_MEDIA_COST = 'net_media_cost';
  const POSITIONAL_30FL_CONVS = 'positional_30fl_convs';
  const POSITIONAL_30FL_CONVS_PER_1K_IMPRESS = 'positional_30fl_convs_per_1k_impress';
  const POSITIONAL_30FL_CONVS_PER_CLICK = 'positional_30fl_convs_per_click';
  const POSITIONAL_30FL_CONVS_PER_VISIT = 'positional_30fl_convs_per_visit';
  const POSITIONAL_30FL_CPA = 'positional_30fl_cpa';
  const POSITIONAL_30FL_REVENUE = 'positional_30fl_revenue';
  const POSITIONAL_30FL_ROAS = 'positional_30fl_roas';
  const POSITIONAL_40FL_CONVS = 'positional_40fl_convs';
  const POSITIONAL_40FL_CONVS_PER_1K_IMPRESS = 'positional_40fl_convs_per_1k_impress';
  const POSITIONAL_40FL_CONVS_PER_CLICK = 'positional_40fl_convs_per_click';
  const POSITIONAL_40FL_CONVS_PER_VISIT = 'positional_40fl_convs_per_visit';
  const POSITIONAL_40FL_CPA = 'positional_40fl_cpa';
  const POSITIONAL_40FL_REVENUE = 'positional_40fl_revenue';
  const POSITIONAL_40FL_ROAS = 'positional_40fl_roas';
  const REPORT_CLICK_THROUGH_RATE = 'report_click_through_rate';
  const REPORT_CLICKS = 'report_clicks';
  const REPORT_IMPRESSIONS = 'report_impressions';
  const REPORT_VISITS = 'report_visits';
  const TIME_DECAY_1DAY_CONVS = 'time_decay_1day_convs';
  const TIME_DECAY_1DAY_CONVS_PER_1K_IMPRESS = 'time_decay_1day_convs_per_1k_impress';
  const TIME_DECAY_1DAY_CONVS_PER_CLICK = 'time_decay_1day_convs_per_click';
  const TIME_DECAY_1DAY_CONVS_PER_VISIT = 'time_decay_1day_convs_per_visit';
  const TIME_DECAY_1DAY_CPA = 'time_decay_1day_cpa';
  const TIME_DECAY_1DAY_REVENUE = 'time_decay_1day_revenue';
  const TIME_DECAY_1DAY_ROAS = 'time_decay_1day_roas';
  const TIME_DECAY_7DAY_CONVS = 'time_decay_7day_convs';
  const TIME_DECAY_7DAY_CONVS_PER_1K_IMPRESS = 'time_decay_7day_convs_per_1k_impress';
  const TIME_DECAY_7DAY_CONVS_PER_CLICK = 'time_decay_7day_convs_per_click';
  const TIME_DECAY_7DAY_CONVS_PER_VISIT = 'time_decay_7day_convs_per_visit';
  const TIME_DECAY_7DAY_CPA = 'time_decay_7day_cpa';
  const TIME_DECAY_7DAY_REVENUE = 'time_decay_7day_revenue';
  const TIME_DECAY_7DAY_ROAS = 'time_decay_7day_roas';
  const TYPE = 'type';

  public function getFieldTypes() {
    return array(
      'ad_platform' => 'Object',
      'alias' => 'string',
      'cost_per_1k_impressions' => 'float',
      'cost_per_click' => 'float',
      'cost_per_visit' => 'float',
      'created_by' => 'Object',
      'created_date' => 'datetime',
      'even_credit_convs' => 'float',
      'even_credit_convs_per_1k_impress' => 'float',
      'even_credit_convs_per_click' => 'float',
      'even_credit_convs_per_visit' => 'float',
      'even_credit_cpa' => 'float',
      'even_credit_revenue' => 'float',
      'even_credit_roas' => 'float',
      'first_click_convs' => 'float',
      'first_click_convs_per_1k_impress' => 'float',
      'first_click_convs_per_click' => 'float',
      'first_click_convs_per_visit' => 'float',
      'first_click_cpa' => 'float',
      'first_click_revenue' => 'float',
      'first_click_roas' => 'float',
      'first_touch_convs' => 'float',
      'first_touch_convs_per_1k_impress' => 'float',
      'first_touch_convs_per_click' => 'float',
      'first_touch_convs_per_visit' => 'float',
      'first_touch_cpa' => 'float',
      'first_touch_revenue' => 'float',
      'first_touch_roas' => 'float',
      'id' => 'string',
      'is_archived' => 'bool',
      'last_click_convs' => 'float',
      'last_click_convs_per_1k_impress' => 'float',
      'last_click_convs_per_click' => 'float',
      'last_click_convs_per_visit' => 'float',
      'last_click_cpa' => 'float',
      'last_click_revenue' => 'float',
      'last_click_roas' => 'float',
      'last_click_with_extrapolation_convs' => 'float',
      'last_click_with_extrapolation_convs_per_100_clicks' => 'float',
      'last_click_with_extrapolation_convs_per_1k_impress' => 'float',
      'last_click_with_extrapolation_convs_per_click' => 'float',
      'last_click_with_extrapolation_convs_per_visit' => 'float',
      'last_click_with_extrapolation_cpa' => 'float',
      'last_click_with_extrapolation_revenue' => 'float',
      'last_click_with_extrapolation_roas' => 'float',
      'last_click_with_extrapolation_unattributed' => 'float',
      'last_modified_by' => 'Object',
      'last_modified_date' => 'datetime',
      'last_touch_convs' => 'float',
      'last_touch_convs_per_1k_impress' => 'float',
      'last_touch_convs_per_click' => 'float',
      'last_touch_convs_per_visit' => 'float',
      'last_touch_cpa' => 'float',
      'last_touch_revenue' => 'float',
      'last_touch_roas' => 'float',
      'name' => 'string',
      'net_media_cost' => 'float',
      'positional_30fl_convs' => 'float',
      'positional_30fl_convs_per_1k_impress' => 'float',
      'positional_30fl_convs_per_click' => 'float',
      'positional_30fl_convs_per_visit' => 'float',
      'positional_30fl_cpa' => 'float',
      'positional_30fl_revenue' => 'float',
      'positional_30fl_roas' => 'float',
      'positional_40fl_convs' => 'float',
      'positional_40fl_convs_per_1k_impress' => 'float',
      'positional_40fl_convs_per_click' => 'float',
      'positional_40fl_convs_per_visit' => 'float',
      'positional_40fl_cpa' => 'float',
      'positional_40fl_revenue' => 'float',
      'positional_40fl_roas' => 'float',
      'report_click_through_rate' => 'float',
      'report_clicks' => 'int',
      'report_impressions' => 'int',
      'report_visits' => 'int',
      'time_decay_1day_convs' => 'float',
      'time_decay_1day_convs_per_1k_impress' => 'float',
      'time_decay_1day_convs_per_click' => 'float',
      'time_decay_1day_convs_per_visit' => 'float',
      'time_decay_1day_cpa' => 'float',
      'time_decay_1day_revenue' => 'float',
      'time_decay_1day_roas' => 'float',
      'time_decay_7day_convs' => 'float',
      'time_decay_7day_convs_per_1k_impress' => 'float',
      'time_decay_7day_convs_per_click' => 'float',
      'time_decay_7day_convs_per_visit' => 'float',
      'time_decay_7day_cpa' => 'float',
      'time_decay_7day_revenue' => 'float',
      'time_decay_7day_roas' => 'float',
      'type' => 'string',
    );
  }
}
