<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Fields;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 */

class CatalogSubVerticalListFields extends AbstractEnum {

  const APPLIANCES = 'appliances';
  const BABY_FEEDING = 'baby_feeding';
  const BABY_TRANSPORT = 'baby_transport';
  const BEAUTY = 'beauty';
  const BEDDING = 'bedding';
  const CAMERAS = 'cameras';
  const CAMERAS_AND_PHOTOS = 'cameras_and_photos';
  const CELL_PHONES_AND_SMART_WATCHES = 'cell_phones_and_smart_watches';
  const CLEANING_SUPPLIES = 'cleaning_supplies';
  const CLO_OFFER = 'clo_offer';
  const CLOTHING = 'clothing';
  const CLOTHING_ACCESSORIES = 'clothing_accessories';
  const COMPUTER_COMPONENTS = 'computer_components';
  const COMPUTERS_AND_TABLETS = 'computers_and_tablets';
  const COMPUTERS_LAPTOPS_AND_TABLETS = 'computers_laptops_and_tablets';
  const DIAPERING_AND_POTTY_TRAINING = 'diapering_and_potty_training';
  const DIGITAL_PRODUCT_OFFER = 'digital_product_offer';
  const ELECTRONIC_ACCESSORIES_AND_CABLES = 'electronic_accessories_and_cables';
  const ELECTRONICS_ACCESSORIES = 'electronics_accessories';
  const FURNITURE = 'furniture';
  const HEALTH = 'health';
  const HOME = 'home';
  const HOME_GOODS = 'home_goods';
  const HOUSEHOLD_AND_CLEANING_SUPPLIES = 'household_and_cleaning_supplies';
  const JEWELRY = 'jewelry';
  const LARGE_APPLIANCES = 'large_appliances';
  const LOCAL_SERVICE_BUSINESS_ITEM = 'local_service_business_item';
  const LOCAL_SERVICE_BUSINESS_RESTAURANT = 'local_service_business_restaurant';
  const LOYALTY_OFFER = 'loyalty_offer';
  const MEETUP_SPACE = 'meetup_space';
  const NURSERY = 'nursery';
  const PRINTERS_AND_SCANNERS = 'printers_and_scanners';
  const PRINTERS_SCANNERS_AND_FAX_MACHINES = 'printers_scanners_and_fax_machines';
  const PRODUCT_DISCOUNT = 'product_discount';
  const PROJECTORS = 'projectors';
  const SHOES = 'shoes';
  const SHOES_AND_FOOTWEAR = 'shoes_and_footwear';
  const SOFTWARE = 'software';
  const TELEVISIONS_AND_MONITORS = 'televisions_and_monitors';
  const TEST_CHILD_SUB_VERTICAL = 'test_child_sub_vertical';
  const TEST_GRAND_CHILD_SUB_VERTICAL = 'test_grand_child_sub_vertical';
  const TEST_SUB_VERTICAL = 'test_sub_vertical';
  const TEST_SUB_VERTICAL_ALIAS = 'test_sub_vertical_alias';
  const TEST_SUB_VERTICAL_DATA_OBJECT = 'test_sub_vertical_data_object';
  const THIRD_PARTY_ELECTRONICS = 'third_party_electronics';
  const THIRD_PARTY_TOYS_AND_GAMES = 'third_party_toys_and_games';
  const TOYS = 'toys';
  const TOYS_AND_GAMES = 'toys_and_games';
  const TVS_AND_MONITORS = 'tvs_and_monitors';
  const VEHICLE_MANUFACTURER = 'vehicle_manufacturer';
  const VIDEO_GAME_CONSOLES_AND_VIDEO_GAMES = 'video_game_consoles_and_video_games';
  const VIDEO_GAMES_AND_CONSOLES = 'video_games_and_consoles';
  const VIDEO_PROJECTORS = 'video_projectors';
  const WATCHES = 'watches';

  public function getFieldTypes() {
    return array(
      'appliances' => 'Object',
      'baby_feeding' => 'Object',
      'baby_transport' => 'Object',
      'beauty' => 'Object',
      'bedding' => 'Object',
      'cameras' => 'Object',
      'cameras_and_photos' => 'Object',
      'cell_phones_and_smart_watches' => 'Object',
      'cleaning_supplies' => 'Object',
      'clo_offer' => 'Object',
      'clothing' => 'Object',
      'clothing_accessories' => 'Object',
      'computer_components' => 'Object',
      'computers_and_tablets' => 'Object',
      'computers_laptops_and_tablets' => 'Object',
      'diapering_and_potty_training' => 'Object',
      'digital_product_offer' => 'Object',
      'electronic_accessories_and_cables' => 'Object',
      'electronics_accessories' => 'Object',
      'furniture' => 'Object',
      'health' => 'Object',
      'home' => 'Object',
      'home_goods' => 'Object',
      'household_and_cleaning_supplies' => 'Object',
      'jewelry' => 'Object',
      'large_appliances' => 'Object',
      'local_service_business_item' => 'Object',
      'local_service_business_restaurant' => 'Object',
      'loyalty_offer' => 'Object',
      'meetup_space' => 'Object',
      'nursery' => 'Object',
      'printers_and_scanners' => 'Object',
      'printers_scanners_and_fax_machines' => 'Object',
      'product_discount' => 'Object',
      'projectors' => 'Object',
      'shoes' => 'Object',
      'shoes_and_footwear' => 'Object',
      'software' => 'Object',
      'televisions_and_monitors' => 'Object',
      'test_child_sub_vertical' => 'Object',
      'test_grand_child_sub_vertical' => 'Object',
      'test_sub_vertical' => 'Object',
      'test_sub_vertical_alias' => 'Object',
      'test_sub_vertical_data_object' => 'Object',
      'third_party_electronics' => 'Object',
      'third_party_toys_and_games' => 'Object',
      'toys' => 'Object',
      'toys_and_games' => 'Object',
      'tvs_and_monitors' => 'Object',
      'vehicle_manufacturer' => 'Object',
      'video_game_consoles_and_video_games' => 'Object',
      'video_games_and_consoles' => 'Object',
      'video_projectors' => 'Object',
      'watches' => 'Object',
    );
  }
}
