<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static AdAccountTargetingUnifiedWhitelistedTypesValues getInstance()
 */
class AdAccountTargetingUnifiedWhitelistedTypesValues extends AbstractEnum {

  const ADGROUP_ID = 'adgroup_id';
  const AGE_MAX = 'age_max';
  const AGE_MIN = 'age_min';
  const ALTERNATE_AUTO_TARGETING_OPTION = 'alternate_auto_targeting_option';
  const APP_INSTALL_STATE = 'app_install_state';
  const AUDIENCE_NETWORK_POSITIONS = 'audience_network_positions';
  const BEHAVIORS = 'behaviors';
  const BRAND_SAFETY_CONTENT_FILTER_LEVELS = 'brand_safety_content_filter_levels';
  const BRAND_SAFETY_CONTENT_SEVERITY_LEVELS = 'brand_safety_content_severity_levels';
  const CATALOG_BASED_TARGETING = 'catalog_based_targeting';
  const CITIES = 'cities';
  const CITY_KEYS = 'city_keys';
  const COLLEGE_YEARS = 'college_years';
  const CONJUNCTIVE_USER_ADCLUSTERS = 'conjunctive_user_adclusters';
  const CONNECTIONS = 'connections';
  const CONTEXTUAL_TARGETING_CATEGORIES = 'contextual_targeting_categories';
  const COUNTRIES = 'countries';
  const COUNTRY = 'country';
  const COUNTRY_GROUPS = 'country_groups';
  const CUSTOM_AUDIENCES = 'custom_audiences';
  const DEVICE_PLATFORMS = 'device_platforms';
  const DIRECT_INSTALL_DEVICES = 'direct_install_devices';
  const DYNAMIC_AUDIENCE_IDS = 'dynamic_audience_ids';
  const EDUCATION_MAJORS = 'education_majors';
  const EDUCATION_SCHOOLS = 'education_schools';
  const EDUCATION_STATUSES = 'education_statuses';
  const EFFECTIVE_AUDIENCE_NETWORK_POSITIONS = 'effective_audience_network_positions';
  const EFFECTIVE_DEVICE_PLATFORMS = 'effective_device_platforms';
  const EFFECTIVE_FACEBOOK_POSITIONS = 'effective_facebook_positions';
  const EFFECTIVE_INSTAGRAM_POSITIONS = 'effective_instagram_positions';
  const EFFECTIVE_MESSENGER_POSITIONS = 'effective_messenger_positions';
  const EFFECTIVE_OCULUS_POSITIONS = 'effective_oculus_positions';
  const EFFECTIVE_PUBLISHER_PLATFORMS = 'effective_publisher_platforms';
  const EFFECTIVE_WHATSAPP_POSITIONS = 'effective_whatsapp_positions';
  const ENGAGEMENT_SPECS = 'engagement_specs';
  const ETHNIC_AFFINITY = 'ethnic_affinity';
  const EXCLUDE_PREVIOUS_DAYS = 'exclude_previous_days';
  const EXCLUDE_REACHED_SINCE = 'exclude_reached_since';
  const EXCLUDED_BRAND_SAFETY_CONTENT_TYPES = 'excluded_brand_safety_content_types';
  const EXCLUDED_CONNECTIONS = 'excluded_connections';
  const EXCLUDED_CUSTOM_AUDIENCES = 'excluded_custom_audiences';
  const EXCLUDED_DYNAMIC_AUDIENCE_IDS = 'excluded_dynamic_audience_ids';
  const EXCLUDED_ENGAGEMENT_SPECS = 'excluded_engagement_specs';
  const EXCLUDED_GEO_LOCATIONS = 'excluded_geo_locations';
  const EXCLUDED_MOBILE_DEVICE_MODEL = 'excluded_mobile_device_model';
  const EXCLUDED_PRODUCT_AUDIENCE_SPECS = 'excluded_product_audience_specs';
  const EXCLUDED_PUBLISHER_CATEGORIES = 'excluded_publisher_categories';
  const EXCLUDED_PUBLISHER_LIST_IDS = 'excluded_publisher_list_ids';
  const EXCLUDED_USER_ADCLUSTERS = 'excluded_user_adclusters';
  const EXCLUDED_USER_DEVICE = 'excluded_user_device';
  const EXCLUSIONS = 'exclusions';
  const FACEBOOK_POSITIONS = 'facebook_positions';
  const FAMILY_STATUSES = 'family_statuses';
  const FB_DEAL_ID = 'fb_deal_id';
  const FLEXIBLE_SPEC = 'flexible_spec';
  const FOLLOW_PROFILES = 'follow_profiles';
  const FOLLOW_PROFILES_NEGATIVE = 'follow_profiles_negative';
  const FORMAT = 'format';
  const FRIENDS_OF_CONNECTIONS = 'friends_of_connections';
  const GATEKEEPERS = 'gatekeepers';
  const GENDERS = 'genders';
  const GENERATION = 'generation';
  const GEO_LOCATIONS = 'geo_locations';
  const HOME_OWNERSHIP = 'home_ownership';
  const HOME_TYPE = 'home_type';
  const HOME_VALUE = 'home_value';
  const HOUSEHOLD_COMPOSITION = 'household_composition';
  const ID = 'id';
  const INCOME = 'income';
  const INDUSTRIES = 'industries';
  const INSTAGRAM_HASHTAGS = 'instagram_hashtags';
  const INSTAGRAM_POSITIONS = 'instagram_positions';
  const INSTREAM_VIDEO_SKIPPABLE_EXCLUDED = 'instream_video_skippable_excluded';
  const INSTREAM_VIDEO_SPONSORSHIP_PLACEMENTS = 'instream_video_sponsorship_placements';
  const INTEREST_DEFAULTS_SOURCE = 'interest_defaults_source';
  const INTERESTED_IN = 'interested_in';
  const INTERESTS = 'interests';
  const IS_INSTAGRAM_DESTINATION_AD = 'is_instagram_destination_ad';
  const IS_WHATSAPP_DESTINATION_AD = 'is_whatsapp_destination_ad';
  const KEYWORDS = 'keywords';
  const LIFE_EVENTS = 'life_events';
  const LOCALES = 'locales';
  const LOCATION_CATEGORIES = 'location_categories';
  const LOCATION_CLUSTER_IDS = 'location_cluster_ids';
  const LOCATION_EXPANSION = 'location_expansion';
  const MARKETPLACE_PRODUCT_CATEGORIES = 'marketplace_product_categories';
  const MESSENGER_POSITIONS = 'messenger_positions';
  const MOBILE_DEVICE_MODEL = 'mobile_device_model';
  const MOMS = 'moms';
  const NET_WORTH = 'net_worth';
  const OCULUS_POSITIONS = 'oculus_positions';
  const OFFICE_TYPE = 'office_type';
  const PAGE_TYPES = 'page_types';
  const PLACE_PAGE_SET_IDS = 'place_page_set_ids';
  const POLITICAL_VIEWS = 'political_views';
  const POLITICS = 'politics';
  const PRODUCT_AUDIENCE_SPECS = 'product_audience_specs';
  const PROSPECTING_AUDIENCE = 'prospecting_audience';
  const PUBLISHER_PLATFORMS = 'publisher_platforms';
  const RADIUS = 'radius';
  const REGION_KEYS = 'region_keys';
  const REGIONS = 'regions';
  const RELATIONSHIP_STATUSES = 'relationship_statuses';
  const RTB_FLAG = 'rtb_flag';
  const SITE_CATEGORY = 'site_category';
  const TARGETING_OPTIMIZATION = 'targeting_optimization';
  const TARGETING_RELAXATION_TYPES = 'targeting_relaxation_types';
  const TIMEZONES = 'timezones';
  const TOPIC = 'topic';
  const TRENDING = 'trending';
  const USER_ADCLUSTERS = 'user_adclusters';
  const USER_DEVICE = 'user_device';
  const USER_EVENT = 'user_event';
  const USER_OS = 'user_os';
  const USER_PAGE_THREADS = 'user_page_threads';
  const USER_PAGE_THREADS_EXCLUDED = 'user_page_threads_excluded';
  const WHATSAPP_POSITIONS = 'whatsapp_positions';
  const WIRELESS_CARRIER = 'wireless_carrier';
  const WORK_EMPLOYERS = 'work_employers';
  const WORK_POSITIONS = 'work_positions';
  const ZIPS = 'zips';
}
