<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static MeasurementUploadEventTimezoneValues getInstance()
 */
class MeasurementUploadEventTimezoneValues extends AbstractEnum {

  const TZ_AFRICA_ACCRA = 'TZ_AFRICA_ACCRA';
  const TZ_AFRICA_CAIRO = 'TZ_AFRICA_CAIRO';
  const TZ_AFRICA_CASABLANCA = 'TZ_AFRICA_CASABLANCA';
  const TZ_AFRICA_JOHANNESBURG = 'TZ_AFRICA_JOHANNESBURG';
  const TZ_AFRICA_LAGOS = 'TZ_AFRICA_LAGOS';
  const TZ_AFRICA_NAIROBI = 'TZ_AFRICA_NAIROBI';
  const TZ_AFRICA_TUNIS = 'TZ_AFRICA_TUNIS';
  const TZ_AMERICA_ANCHORAGE = 'TZ_AMERICA_ANCHORAGE';
  const TZ_AMERICA_ARGENTINA_BUENOS_AIRES = 'TZ_AMERICA_ARGENTINA_BUENOS_AIRES';
  const TZ_AMERICA_ARGENTINA_SALTA = 'TZ_AMERICA_ARGENTINA_SALTA';
  const TZ_AMERICA_ARGENTINA_SAN_LUIS = 'TZ_AMERICA_ARGENTINA_SAN_LUIS';
  const TZ_AMERICA_ASUNCION = 'TZ_AMERICA_ASUNCION';
  const TZ_AMERICA_ATIKOKAN = 'TZ_AMERICA_ATIKOKAN';
  const TZ_AMERICA_BELEM = 'TZ_AMERICA_BELEM';
  const TZ_AMERICA_BLANC_SABLON = 'TZ_AMERICA_BLANC_SABLON';
  const TZ_AMERICA_BOGOTA = 'TZ_AMERICA_BOGOTA';
  const TZ_AMERICA_CAMPO_GRANDE = 'TZ_AMERICA_CAMPO_GRANDE';
  const TZ_AMERICA_CARACAS = 'TZ_AMERICA_CARACAS';
  const TZ_AMERICA_CHICAGO = 'TZ_AMERICA_CHICAGO';
  const TZ_AMERICA_COSTA_RICA = 'TZ_AMERICA_COSTA_RICA';
  const TZ_AMERICA_DAWSON = 'TZ_AMERICA_DAWSON';
  const TZ_AMERICA_DAWSON_CREEK = 'TZ_AMERICA_DAWSON_CREEK';
  const TZ_AMERICA_DENVER = 'TZ_AMERICA_DENVER';
  const TZ_AMERICA_DETROIT = 'TZ_AMERICA_DETROIT';
  const TZ_AMERICA_EDMONTON = 'TZ_AMERICA_EDMONTON';
  const TZ_AMERICA_EL_SALVADOR = 'TZ_AMERICA_EL_SALVADOR';
  const TZ_AMERICA_GUATEMALA = 'TZ_AMERICA_GUATEMALA';
  const TZ_AMERICA_GUAYAQUIL = 'TZ_AMERICA_GUAYAQUIL';
  const TZ_AMERICA_HALIFAX = 'TZ_AMERICA_HALIFAX';
  const TZ_AMERICA_HERMOSILLO = 'TZ_AMERICA_HERMOSILLO';
  const TZ_AMERICA_IQALUIT = 'TZ_AMERICA_IQALUIT';
  const TZ_AMERICA_JAMAICA = 'TZ_AMERICA_JAMAICA';
  const TZ_AMERICA_LA_PAZ = 'TZ_AMERICA_LA_PAZ';
  const TZ_AMERICA_LIMA = 'TZ_AMERICA_LIMA';
  const TZ_AMERICA_LOS_ANGELES = 'TZ_AMERICA_LOS_ANGELES';
  const TZ_AMERICA_MANAGUA = 'TZ_AMERICA_MANAGUA';
  const TZ_AMERICA_MAZATLAN = 'TZ_AMERICA_MAZATLAN';
  const TZ_AMERICA_MEXICO_CITY = 'TZ_AMERICA_MEXICO_CITY';
  const TZ_AMERICA_MONTEVIDEO = 'TZ_AMERICA_MONTEVIDEO';
  const TZ_AMERICA_NASSAU = 'TZ_AMERICA_NASSAU';
  const TZ_AMERICA_NEW_YORK = 'TZ_AMERICA_NEW_YORK';
  const TZ_AMERICA_NORONHA = 'TZ_AMERICA_NORONHA';
  const TZ_AMERICA_PANAMA = 'TZ_AMERICA_PANAMA';
  const TZ_AMERICA_PHOENIX = 'TZ_AMERICA_PHOENIX';
  const TZ_AMERICA_PORT_OF_SPAIN = 'TZ_AMERICA_PORT_OF_SPAIN';
  const TZ_AMERICA_PUERTO_RICO = 'TZ_AMERICA_PUERTO_RICO';
  const TZ_AMERICA_RAINY_RIVER = 'TZ_AMERICA_RAINY_RIVER';
  const TZ_AMERICA_REGINA = 'TZ_AMERICA_REGINA';
  const TZ_AMERICA_SANTIAGO = 'TZ_AMERICA_SANTIAGO';
  const TZ_AMERICA_SANTO_DOMINGO = 'TZ_AMERICA_SANTO_DOMINGO';
  const TZ_AMERICA_SAO_PAULO = 'TZ_AMERICA_SAO_PAULO';
  const TZ_AMERICA_ST_JOHNS = 'TZ_AMERICA_ST_JOHNS';
  const TZ_AMERICA_TEGUCIGALPA = 'TZ_AMERICA_TEGUCIGALPA';
  const TZ_AMERICA_TIJUANA = 'TZ_AMERICA_TIJUANA';
  const TZ_AMERICA_TORONTO = 'TZ_AMERICA_TORONTO';
  const TZ_AMERICA_VANCOUVER = 'TZ_AMERICA_VANCOUVER';
  const TZ_AMERICA_WINNIPEG = 'TZ_AMERICA_WINNIPEG';
  const TZ_ASIA_AMMAN = 'TZ_ASIA_AMMAN';
  const TZ_ASIA_BAGHDAD = 'TZ_ASIA_BAGHDAD';
  const TZ_ASIA_BAHRAIN = 'TZ_ASIA_BAHRAIN';
  const TZ_ASIA_BANGKOK = 'TZ_ASIA_BANGKOK';
  const TZ_ASIA_BEIRUT = 'TZ_ASIA_BEIRUT';
  const TZ_ASIA_COLOMBO = 'TZ_ASIA_COLOMBO';
  const TZ_ASIA_DHAKA = 'TZ_ASIA_DHAKA';
  const TZ_ASIA_DUBAI = 'TZ_ASIA_DUBAI';
  const TZ_ASIA_GAZA = 'TZ_ASIA_GAZA';
  const TZ_ASIA_HONG_KONG = 'TZ_ASIA_HONG_KONG';
  const TZ_ASIA_HO_CHI_MINH = 'TZ_ASIA_HO_CHI_MINH';
  const TZ_ASIA_IRKUTSK = 'TZ_ASIA_IRKUTSK';
  const TZ_ASIA_JAKARTA = 'TZ_ASIA_JAKARTA';
  const TZ_ASIA_JAYAPURA = 'TZ_ASIA_JAYAPURA';
  const TZ_ASIA_JERUSALEM = 'TZ_ASIA_JERUSALEM';
  const TZ_ASIA_KAMCHATKA = 'TZ_ASIA_KAMCHATKA';
  const TZ_ASIA_KARACHI = 'TZ_ASIA_KARACHI';
  const TZ_ASIA_KATHMANDU = 'TZ_ASIA_KATHMANDU';
  const TZ_ASIA_KOLKATA = 'TZ_ASIA_KOLKATA';
  const TZ_ASIA_KRASNOYARSK = 'TZ_ASIA_KRASNOYARSK';
  const TZ_ASIA_KUALA_LUMPUR = 'TZ_ASIA_KUALA_LUMPUR';
  const TZ_ASIA_KUWAIT = 'TZ_ASIA_KUWAIT';
  const TZ_ASIA_MAGADAN = 'TZ_ASIA_MAGADAN';
  const TZ_ASIA_MAKASSAR = 'TZ_ASIA_MAKASSAR';
  const TZ_ASIA_MANILA = 'TZ_ASIA_MANILA';
  const TZ_ASIA_MUSCAT = 'TZ_ASIA_MUSCAT';
  const TZ_ASIA_NICOSIA = 'TZ_ASIA_NICOSIA';
  const TZ_ASIA_OMSK = 'TZ_ASIA_OMSK';
  const TZ_ASIA_QATAR = 'TZ_ASIA_QATAR';
  const TZ_ASIA_RIYADH = 'TZ_ASIA_RIYADH';
  const TZ_ASIA_SEOUL = 'TZ_ASIA_SEOUL';
  const TZ_ASIA_SHANGHAI = 'TZ_ASIA_SHANGHAI';
  const TZ_ASIA_SINGAPORE = 'TZ_ASIA_SINGAPORE';
  const TZ_ASIA_TAIPEI = 'TZ_ASIA_TAIPEI';
  const TZ_ASIA_TOKYO = 'TZ_ASIA_TOKYO';
  const TZ_ASIA_VLADIVOSTOK = 'TZ_ASIA_VLADIVOSTOK';
  const TZ_ASIA_YAKUTSK = 'TZ_ASIA_YAKUTSK';
  const TZ_ASIA_YEKATERINBURG = 'TZ_ASIA_YEKATERINBURG';
  const TZ_ATLANTIC_AZORES = 'TZ_ATLANTIC_AZORES';
  const TZ_ATLANTIC_CANARY = 'TZ_ATLANTIC_CANARY';
  const TZ_ATLANTIC_REYKJAVIK = 'TZ_ATLANTIC_REYKJAVIK';
  const TZ_AUSTRALIA_BROKEN_HILL = 'TZ_AUSTRALIA_BROKEN_HILL';
  const TZ_AUSTRALIA_MELBOURNE = 'TZ_AUSTRALIA_MELBOURNE';
  const TZ_AUSTRALIA_PERTH = 'TZ_AUSTRALIA_PERTH';
  const TZ_AUSTRALIA_SYDNEY = 'TZ_AUSTRALIA_SYDNEY';
  const TZ_EUROPE_AMSTERDAM = 'TZ_EUROPE_AMSTERDAM';
  const TZ_EUROPE_ATHENS = 'TZ_EUROPE_ATHENS';
  const TZ_EUROPE_BELGRADE = 'TZ_EUROPE_BELGRADE';
  const TZ_EUROPE_BERLIN = 'TZ_EUROPE_BERLIN';
  const TZ_EUROPE_BRATISLAVA = 'TZ_EUROPE_BRATISLAVA';
  const TZ_EUROPE_BRUSSELS = 'TZ_EUROPE_BRUSSELS';
  const TZ_EUROPE_BUCHAREST = 'TZ_EUROPE_BUCHAREST';
  const TZ_EUROPE_BUDAPEST = 'TZ_EUROPE_BUDAPEST';
  const TZ_EUROPE_COPENHAGEN = 'TZ_EUROPE_COPENHAGEN';
  const TZ_EUROPE_DUBLIN = 'TZ_EUROPE_DUBLIN';
  const TZ_EUROPE_HELSINKI = 'TZ_EUROPE_HELSINKI';
  const TZ_EUROPE_ISTANBUL = 'TZ_EUROPE_ISTANBUL';
  const TZ_EUROPE_KALININGRAD = 'TZ_EUROPE_KALININGRAD';
  const TZ_EUROPE_KIEV = 'TZ_EUROPE_KIEV';
  const TZ_EUROPE_LISBON = 'TZ_EUROPE_LISBON';
  const TZ_EUROPE_LJUBLJANA = 'TZ_EUROPE_LJUBLJANA';
  const TZ_EUROPE_LONDON = 'TZ_EUROPE_LONDON';
  const TZ_EUROPE_LUXEMBOURG = 'TZ_EUROPE_LUXEMBOURG';
  const TZ_EUROPE_MADRID = 'TZ_EUROPE_MADRID';
  const TZ_EUROPE_MALTA = 'TZ_EUROPE_MALTA';
  const TZ_EUROPE_MOSCOW = 'TZ_EUROPE_MOSCOW';
  const TZ_EUROPE_OSLO = 'TZ_EUROPE_OSLO';
  const TZ_EUROPE_PARIS = 'TZ_EUROPE_PARIS';
  const TZ_EUROPE_PRAGUE = 'TZ_EUROPE_PRAGUE';
  const TZ_EUROPE_RIGA = 'TZ_EUROPE_RIGA';
  const TZ_EUROPE_ROME = 'TZ_EUROPE_ROME';
  const TZ_EUROPE_SAMARA = 'TZ_EUROPE_SAMARA';
  const TZ_EUROPE_SARAJEVO = 'TZ_EUROPE_SARAJEVO';
  const TZ_EUROPE_SKOPJE = 'TZ_EUROPE_SKOPJE';
  const TZ_EUROPE_SOFIA = 'TZ_EUROPE_SOFIA';
  const TZ_EUROPE_STOCKHOLM = 'TZ_EUROPE_STOCKHOLM';
  const TZ_EUROPE_TALLINN = 'TZ_EUROPE_TALLINN';
  const TZ_EUROPE_VIENNA = 'TZ_EUROPE_VIENNA';
  const TZ_EUROPE_VILNIUS = 'TZ_EUROPE_VILNIUS';
  const TZ_EUROPE_WARSAW = 'TZ_EUROPE_WARSAW';
  const TZ_EUROPE_ZAGREB = 'TZ_EUROPE_ZAGREB';
  const TZ_EUROPE_ZURICH = 'TZ_EUROPE_ZURICH';
  const TZ_INDIAN_MALDIVES = 'TZ_INDIAN_MALDIVES';
  const TZ_INDIAN_MAURITIUS = 'TZ_INDIAN_MAURITIUS';
  const TZ_NUM_TIMEZONES = 'TZ_NUM_TIMEZONES';
  const TZ_PACIFIC_AUCKLAND = 'TZ_PACIFIC_AUCKLAND';
  const TZ_PACIFIC_EASTER = 'TZ_PACIFIC_EASTER';
  const TZ_PACIFIC_GALAPAGOS = 'TZ_PACIFIC_GALAPAGOS';
  const TZ_PACIFIC_HONOLULU = 'TZ_PACIFIC_HONOLULU';
}
