<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static PageSubscribedFieldsValues getInstance()
 */
class PageSubscribedFieldsValues extends AbstractEnum {

  const AFFILIATION = 'affiliation';
  const ATTIRE = 'attire';
  const AWARDS = 'awards';
  const BIO = 'bio';
  const BIRTHDAY = 'birthday';
  const BRANDED_CAMERA = 'branded_camera';
  const CATEGORY = 'category';
  const CHECKINS = 'checkins';
  const COMPANY_OVERVIEW = 'company_overview';
  const CONVERSATIONS = 'conversations';
  const CULINARY_TEAM = 'culinary_team';
  const CURRENT_LOCATION = 'current_location';
  const DESCRIPTION = 'description';
  const EMAIL = 'email';
  const FEATURE_ACCESS_LIST = 'feature_access_list';
  const FEED = 'feed';
  const FOUNDED = 'founded';
  const GENERAL_INFO = 'general_info';
  const GENERAL_MANAGER = 'general_manager';
  const HOMETOWN = 'hometown';
  const HOURS = 'hours';
  const INBOX_LABELS = 'inbox_labels';
  const INVOICE_ACCESS_INVOICE_CHANGE = 'invoice_access_invoice_change';
  const INVOICE_ACCESS_ONBOARDING_STATUS_ACTIVE = 'invoice_access_onboarding_status_active';
  const LEADGEN = 'leadgen';
  const LEADGEN_FAT = 'leadgen_fat';
  const LIVE_VIDEOS = 'live_videos';
  const LOCAL_DELIVERY = 'local_delivery';
  const LOCATION = 'location';
  const MCOM_INVOICE_CHANGE = 'mcom_invoice_change';
  const MEMBERS = 'members';
  const MENTION = 'mention';
  const MERCHANT_REVIEW = 'merchant_review';
  const MESSAGE_DELIVERIES = 'message_deliveries';
  const MESSAGE_ECHOES = 'message_echoes';
  const MESSAGE_MENTION = 'message_mention';
  const MESSAGE_REACTIONS = 'message_reactions';
  const MESSAGE_READS = 'message_reads';
  const MESSAGES = 'messages';
  const MESSAGING_ACCOUNT_LINKING = 'messaging_account_linking';
  const MESSAGING_APPOINTMENTS = 'messaging_appointments';
  const MESSAGING_CHECKOUT_UPDATES = 'messaging_checkout_updates';
  const MESSAGING_DIRECT_SENDS = 'messaging_direct_sends';
  const MESSAGING_FBLOGIN_ACCOUNT_LINKING = 'messaging_fblogin_account_linking';
  const MESSAGING_FEEDBACK = 'messaging_feedback';
  const MESSAGING_GAME_PLAYS = 'messaging_game_plays';
  const MESSAGING_HANDOVERS = 'messaging_handovers';
  const MESSAGING_OPTINS = 'messaging_optins';
  const MESSAGING_OPTOUTS = 'messaging_optouts';
  const MESSAGING_PAGE_FEEDBACK = 'messaging_page_feedback';
  const MESSAGING_PAYMENTS = 'messaging_payments';
  const MESSAGING_POLICY_ENFORCEMENT = 'messaging_policy_enforcement';
  const MESSAGING_POSTBACKS = 'messaging_postbacks';
  const MESSAGING_PRE_CHECKOUTS = 'messaging_pre_checkouts';
  const MESSAGING_REFERRALS = 'messaging_referrals';
  const MISSION = 'mission';
  const NAME = 'name';
  const PAGE_ABOUT_STORY = 'page_about_story';
  const PAGE_CHANGE_PROPOSAL = 'page_change_proposal';
  const PAGE_UPCOMING_CHANGE = 'page_upcoming_change';
  const PARKING = 'parking';
  const PAYMENT_OPTIONS = 'payment_options';
  const PERSONAL_INFO = 'personal_info';
  const PERSONAL_INTERESTS = 'personal_interests';
  const PHONE = 'phone';
  const PICTURE = 'picture';
  const PRICE_RANGE = 'price_range';
  const PRODUCT_REVIEW = 'product_review';
  const PRODUCTS = 'products';
  const PUBLIC_TRANSIT = 'public_transit';
  const PUBLISHER_SUBSCRIPTIONS = 'publisher_subscriptions';
  const RATINGS = 'ratings';
  const REGISTRATION = 'registration';
  const STANDBY = 'standby';
  const USER_ACTION = 'user_action';
  const VIDEO_TEXT_QUESTION_RESPONSES = 'video_text_question_responses';
  const VIDEOS = 'videos';
  const WEBSITE = 'website';
}
